<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Systems/Inventory/Hand_States.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d45/_hand___states_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Hand_States.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d3/d45/_hand___states_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d78/class_hand_state_equipped.html">HandStateEquipped</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6ce26a62afab55d7606ad4e92428b30c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a> = 0</td></tr>
<tr class="separator:a6ce26a62afab55d7606ad4e92428b30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e3346bc6f9bb504e43495424c91a51"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#ac3e3346bc6f9bb504e43495424c91a51">Empty</a> = 1</td></tr>
<tr class="separator:ac3e3346bc6f9bb504e43495424c91a51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad64ec48815119dd2150c67af0eaa5ee4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#ad64ec48815119dd2150c67af0eaa5ee4">Equipped</a> = 2</td></tr>
<tr class="separator:ad64ec48815119dd2150c67af0eaa5ee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a038fcd4caa4ad1e17b50561fb6c7c2c7"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#a038fcd4caa4ad1e17b50561fb6c7c2c7">HandStateID</a> </td></tr>
<tr class="memdesc:a038fcd4caa4ad1e17b50561fb6c7c2c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">states  <a href="../../d3/d45/_hand___states_8c.html#a038fcd4caa4ad1e17b50561fb6c7c2c7">More...</a><br /></td></tr>
<tr class="separator:a038fcd4caa4ad1e17b50561fb6c7c2c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab171464d5b5a8a59c9a3d0cd46902770"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/d78/class_hand_state_equipped.html">HandStateEquipped</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#ab171464d5b5a8a59c9a3d0cd46902770">OnEntry</a></td></tr>
<tr class="separator:ab171464d5b5a8a59c9a3d0cd46902770"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcaec6910cc0053c477e629573ce275a"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d3/d45/_hand___states_8c.html#a038fcd4caa4ad1e17b50561fb6c7c2c7">HandStateID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#abcaec6910cc0053c477e629573ce275a">OnEntry</a> (<a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a> e)</td></tr>
<tr class="separator:abcaec6910cc0053c477e629573ce275a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a267010a0879eb3f4511fb0d2dbb633"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#a9a267010a0879eb3f4511fb0d2dbb633">OnExit</a> (<a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a> e)</td></tr>
<tr class="separator:a9a267010a0879eb3f4511fb0d2dbb633"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fba6d4213ebbe1820d719974f601736"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d45/_hand___states_8c.html#a8fba6d4213ebbe1820d719974f601736">GetCurrentStateID</a> ()</td></tr>
<tr class="separator:a8fba6d4213ebbe1820d719974f601736"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a038fcd4caa4ad1e17b50561fb6c7c2c7" name="a038fcd4caa4ad1e17b50561fb6c7c2c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a038fcd4caa4ad1e17b50561fb6c7c2c7">&#9670;&#160;</a></span>HandStateID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d3/d45/_hand___states_8c.html#a038fcd4caa4ad1e17b50561fb6c7c2c7">HandStateID</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>states </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d45/_hand___states_8c_source.html#l00003">3</a> of file <a class="el" href="../../d3/d45/_hand___states_8c_source.html">Hand_States.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8fba6d4213ebbe1820d719974f601736" name="a8fba6d4213ebbe1820d719974f601736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fba6d4213ebbe1820d719974f601736">&#9670;&#160;</a></span>GetCurrentStateID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetCurrentStateID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d45/_hand___states_8c_source.html#l00029">29</a> of file <a class="el" href="../../d3/d45/_hand___states_8c_source.html">Hand_States.c</a>.</p>

</div>
</div>
<a id="abcaec6910cc0053c477e629573ce275a" name="abcaec6910cc0053c477e629573ce275a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcaec6910cc0053c477e629573ce275a">&#9670;&#160;</a></span>OnEntry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d3/d45/_hand___states_8c.html#a038fcd4caa4ad1e17b50561fb6c7c2c7">HandStateID</a> OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d45/_hand___states_8c_source.html#l00001">1</a> of file <a class="el" href="../../d3/d45/_hand___states_8c_source.html">Hand_States.c</a>.</p>

</div>
</div>
<a id="a9a267010a0879eb3f4511fb0d2dbb633" name="a9a267010a0879eb3f4511fb0d2dbb633"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a267010a0879eb3f4511fb0d2dbb633">&#9670;&#160;</a></span>OnExit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d45/_hand___states_8c_source.html#l00028">28</a> of file <a class="el" href="../../d3/d45/_hand___states_8c_source.html">Hand_States.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ac3e3346bc6f9bb504e43495424c91a51" name="ac3e3346bc6f9bb504e43495424c91a51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e3346bc6f9bb504e43495424c91a51">&#9670;&#160;</a></span>Empty</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Empty = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d45/_hand___states_8c_source.html#l00014">14</a> of file <a class="el" href="../../d3/d45/_hand___states_8c_source.html">Hand_States.c</a>.</p>

</div>
</div>
<a id="ad64ec48815119dd2150c67af0eaa5ee4" name="ad64ec48815119dd2150c67af0eaa5ee4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad64ec48815119dd2150c67af0eaa5ee4">&#9670;&#160;</a></span>Equipped</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Equipped = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d45/_hand___states_8c_source.html#l00015">15</a> of file <a class="el" href="../../d3/d45/_hand___states_8c_source.html">Hand_States.c</a>.</p>

</div>
</div>
<a id="ab171464d5b5a8a59c9a3d0cd46902770" name="ab171464d5b5a8a59c9a3d0cd46902770"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab171464d5b5a8a59c9a3d0cd46902770">&#9670;&#160;</a></span>OnEntry</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnEntry</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html#l00285">285</a> of file <a class="el" href="../../dd/db3/_weapon_chambering_8c_source.html">WeaponChambering.c</a>.</p>

</div>
</div>
<a id="a6ce26a62afab55d7606ad4e92428b30c" name="a6ce26a62afab55d7606ad4e92428b30c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce26a62afab55d7606ad4e92428b30c">&#9670;&#160;</a></span>UNKNOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ UNKNOWN = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d45/_hand___states_8c_source.html#l00013">13</a> of file <a class="el" href="../../d3/d45/_hand___states_8c_source.html">Hand_States.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_91065d8ef1d9d84badd69667faa65040.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_236db930e105245b471553e35208b746.html">Inventory</a></li><li class="navelem"><a class="el" href="../../d3/d45/_hand___states_8c.html">Hand_States.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
